
package calculatorservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the calculatorservice package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SqrtResponse_QNAME = new QName("http://calculatorservice/", "sqrtResponse");
    private final static QName _ExpResponse_QNAME = new QName("http://calculatorservice/", "expResponse");
    private final static QName _Exp_QNAME = new QName("http://calculatorservice/", "exp");
    private final static QName _Sqrt_QNAME = new QName("http://calculatorservice/", "sqrt");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: calculatorservice
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Exp }
     * 
     */
    public Exp createExp() {
        return new Exp();
    }

    /**
     * Create an instance of {@link Sqrt }
     * 
     */
    public Sqrt createSqrt() {
        return new Sqrt();
    }

    /**
     * Create an instance of {@link ExpResponse }
     * 
     */
    public ExpResponse createExpResponse() {
        return new ExpResponse();
    }

    /**
     * Create an instance of {@link SqrtResponse }
     * 
     */
    public SqrtResponse createSqrtResponse() {
        return new SqrtResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SqrtResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://calculatorservice/", name = "sqrtResponse")
    public JAXBElement<SqrtResponse> createSqrtResponse(SqrtResponse value) {
        return new JAXBElement<SqrtResponse>(_SqrtResponse_QNAME, SqrtResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ExpResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://calculatorservice/", name = "expResponse")
    public JAXBElement<ExpResponse> createExpResponse(ExpResponse value) {
        return new JAXBElement<ExpResponse>(_ExpResponse_QNAME, ExpResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Exp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://calculatorservice/", name = "exp")
    public JAXBElement<Exp> createExp(Exp value) {
        return new JAXBElement<Exp>(_Exp_QNAME, Exp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Sqrt }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://calculatorservice/", name = "sqrt")
    public JAXBElement<Sqrt> createSqrt(Sqrt value) {
        return new JAXBElement<Sqrt>(_Sqrt_QNAME, Sqrt.class, null, value);
    }

}
