
package ws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ToCResponse_QNAME = new QName("http://converter/", "toCResponse");
    private final static QName _ToF_QNAME = new QName("http://converter/", "toF");
    private final static QName _ToFResponse_QNAME = new QName("http://converter/", "toFResponse");
    private final static QName _ToC_QNAME = new QName("http://converter/", "toC");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ToC }
     * 
     */
    public ToC createToC() {
        return new ToC();
    }

    /**
     * Create an instance of {@link ToFResponse }
     * 
     */
    public ToFResponse createToFResponse() {
        return new ToFResponse();
    }

    /**
     * Create an instance of {@link ToCResponse }
     * 
     */
    public ToCResponse createToCResponse() {
        return new ToCResponse();
    }

    /**
     * Create an instance of {@link ToF }
     * 
     */
    public ToF createToF() {
        return new ToF();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToCResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "toCResponse")
    public JAXBElement<ToCResponse> createToCResponse(ToCResponse value) {
        return new JAXBElement<ToCResponse>(_ToCResponse_QNAME, ToCResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToF }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "toF")
    public JAXBElement<ToF> createToF(ToF value) {
        return new JAXBElement<ToF>(_ToF_QNAME, ToF.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToFResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "toFResponse")
    public JAXBElement<ToFResponse> createToFResponse(ToFResponse value) {
        return new JAXBElement<ToFResponse>(_ToFResponse_QNAME, ToFResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToC }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "toC")
    public JAXBElement<ToC> createToC(ToC value) {
        return new JAXBElement<ToC>(_ToC_QNAME, ToC.class, null, value);
    }

}
